# TODO: rename to perl-Chipcard-PCSC?
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires running pcscd)
#
%define	pdir	Chipcard
%define	pnam	PCSC
Summary:	Perl interface to the PC/SC smart card library
Summary(pl.UTF-8):	Interfejs perlowy do biblioteki PC/SC
Name:		perl-PCSC
Version:	1.4.16
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	https://pcsc-perl.apdu.fr/Chipcard-PCSC-v%{version}.tar.gz
# Source0-md5:	51f77496146132ed159d319ea14e5565
URL:		https://pcsc-perl.apdu.fr/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.745
# it's dlopened, so not autodetected
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PCSC module implements the PCSC class, Perl interface to the PC/SC
smart card library. Objects of this class are used to communicate with
the PCSC-lite daemon (pcscd(1)). PC/SC represents an abstraction layer
to smartcard readers. It provides a communication layer with a wide
variety of smart card readers through a standardized API.

%description -l pl.UTF-8
Moduł PCSC zawiera implementację klasy PCSC, perlowego interfejsu do
biblioteki PC/SC obsługującej czytniki kart Smart. Obiekty tej klasy
służą do komunikacji z demonem PCSC (pcscd(1)). Biblioteka PC/SC
stanowi abstrakcyjną warstwę dla czytników kart Smart. Udostępnia ona,
za pośrednictwem zestandaryzowanego API, warstwę komunikacyjną dla
wielu różnych czytników kart Smart.

%prep
%setup -q -n Chipcard-PCSC-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	DEFINE="-Wall" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Chipcard/{PCSC.pod,PCSC/Card.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{perl_vendorarch}/Chipcard
%{perl_vendorarch}/Chipcard/PCSC.pm
%dir %{perl_vendorarch}/Chipcard/PCSC
%{perl_vendorarch}/Chipcard/PCSC/Card.pm
%dir %{perl_vendorarch}/auto/Chipcard
%dir %{perl_vendorarch}/auto/Chipcard/PCSC
%attr(755,root,root) %{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.so
%{_mandir}/man3/Chipcard::PCSC*.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/gsm.script
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PCSC.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 6fe46e4
- perl 5.40.0 rebuild

* Sun May 05 2024 Jakub Bogusz <qboosh@pld-linux.org> c0995f8
- updated to 1.4.16

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> b0a7a1f
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 92d7d3e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> aa0d4dc
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 498e16f
- macros for perl

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> dc53059
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dcd9d06
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7c3db50
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 3f986fe
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 31d36bd
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 771fa65
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c6d3c18
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 595bc74
- updated to 1.4.14

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7e6280c
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 403a609
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7925828
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 468bdca
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a611ac1
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 347edec
- updated to 1.4.13

